<div class="card mb-5 mb-xl-8">
    <div class="card-header border-0 pt-5">
        <h3 class="card-title align-items-start flex-column"><span class="card-label fw-bolder fs-3 mb-1">All Countries
            </span>
            <span class="text-muted mt-1 fw-bold fs-7">Over {{getCountryListService.totalItems$ | async}} countries</span>
        </h3>
        <div class="d-flex justify-content-center skrm-margin-left-15px skrm-align-item-center" *ngIf="isLoading">
            <!-- <div class="mr-2 text-muted">Loading...</div>
            <div class="spinner spinner-primary mr-10"></div> -->
            <div class="spinner-border spinner-border-sm" role="status">
                <span class="visually-hidden">Loading...</span>
              </div>
              <div class="spinner-grow spinner-grow-sm" role="status">
                <span class="visually-hidden">Loading...</span>
              </div>
        </div> 

        <div data-bs-toggle="tooltip" data-bs-placement="top" data-bs-trigger="hover" title="Click to add a country"
            class="card-toolbar">

            <button type="button" (click)="create()" class="btn btn-sm btn-light-success">
                <span class="svg-icon svg-icon-3">
                    <i class="bi bi-plus-circle"></i>
                </span>
                <!--container--> New Country
            </button>
        </div>
    </div>

    <div class="card-body py-3">

        <form class="form form-label-right pb-5" [formGroup]="searchform">
            <div class="form-group row">

                <div class="col-lg-3 skrm-margin-top-bottom">
                    <input type="text" name="searchCountryName" placeholder="Search Country Name" value=""
                    formControlName="searchCountryName" class="form-control">
                </div>
                <div class="col-lg-3 skrm-margin-top-bottom">
                    <input type="text" name="searchISO" placeholder="Search ISO" value="" formControlName="searchISO"
                        class="form-control">
                </div>
                <div class="col-lg-3 skrm-margin-top-bottom">
                    <input type="text" name="searchISD" placeholder="Search ISD" value="" formControlName="searchISD"
                        class="form-control">
                </div>
                <div class="col-lg-3 text-end skrm-margin-top-bottom">
                    <button (click)="search()" type="submit" class="btn btn-lg btn-light-dark"
                        style="margin-right: 10px;">
                        <span class="svg-icon svg-icon-3"
                            ng-reflect-inline-s-v-g="./assets/media/icons/duotune/general">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                fill="none">
                                <rect opacity="0.5" x="17.0365" y="15.1223" width="8.15546" height="2" rx="1"
                                    transform="rotate(45 17.0365 15.1223)" fill="currentColor" />
                                <path
                                    d="M11 19C6.55556 19 3 15.4444 3 11C3 6.55556 6.55556 3 11 3C15.4444 3 19 6.55556 19 11C19 15.4444 15.4444 19 11 19ZM11 5C7.53333 5 5 7.53333 5 11C5 14.4667 7.53333 17 11 17C14.4667 17 17 14.4667 17 11C17 7.53333 14.4667 5 11 5Z"
                                    fill="currentColor" />
                            </svg>
                        </span>
                        Search
                    </button>


                    <button (click)="resetSearch()" type="reset" class="btn btn-lg btn-light-danger">
                        <span class="svg-icon svg-icon-3"
                            ng-reflect-inline-s-v-g="./assets/media/icons/duotune/general">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                fill="none">
                                <path
                                    d="M14.5 20.7259C14.6 21.2259 14.2 21.826 13.7 21.926C13.2 22.026 12.6 22.0259 12.1 22.0259C9.5 22.0259 6.9 21.0259 5 19.1259C1.4 15.5259 1.09998 9.72592 4.29998 5.82592L5.70001 7.22595C3.30001 10.3259 3.59999 14.8259 6.39999 17.7259C8.19999 19.5259 10.8 20.426 13.4 19.926C13.9 19.826 14.4 20.2259 14.5 20.7259ZM18.4 16.8259L19.8 18.2259C22.9 14.3259 22.7 8.52593 19 4.92593C16.7 2.62593 13.5 1.62594 10.3 2.12594C9.79998 2.22594 9.4 2.72595 9.5 3.22595C9.6 3.72595 10.1 4.12594 10.6 4.02594C13.1 3.62594 15.7 4.42595 17.6 6.22595C20.5 9.22595 20.7 13.7259 18.4 16.8259Z"
                                    fill="currentColor" />
                                <path opacity="0.3"
                                    d="M2 3.62592H7C7.6 3.62592 8 4.02592 8 4.62592V9.62589L2 3.62592ZM16 14.4259V19.4259C16 20.0259 16.4 20.4259 17 20.4259H22L16 14.4259Z"
                                    fill="currentColor" />
                            </svg>
                        </span>
                        Reset
                    </button>
                </div>

            </div>
        </form>

        <div class="table-responsive">
             
            <table class="table align-middle gs-0 gy-4">
                <thead>
                    <tr class="fw-bolder text-muted bg-light">
                        <th class="ps-4 rounded-start cursor-pointer">COUNTRY NAME

                            <app-sort-icon column="Name" [activeColumn]="sorting.column"
                                [activeDirection]="sorting.direction" (sort)="sort($event)"></app-sort-icon>
                        </th>
                        <th class="cursor-pointer">ISO CODE
                            <app-sort-icon column="IsoCode" [activeColumn]="sorting.column"
                                [activeDirection]="sorting.direction" (sort)="sort($event)"></app-sort-icon>
                        </th>
                        <th class="cursor-pointer">ISD CODE
                            <app-sort-icon column="IsdCode" [activeColumn]="sorting.column"
                                [activeDirection]="sorting.direction" (sort)="sort($event)"></app-sort-icon>
                        </th>
                        <th class="cursor-pointer">CREATED BY
                            <app-sort-icon column="CreatedByName" [activeColumn]="sorting.column"
                                [activeDirection]="sorting.direction" (sort)="sort($event)"></app-sort-icon>
                        </th>
                        <th class="cursor-pointer">CREATED DATE
                            <app-sort-icon column="CreatedDate" [activeColumn]="sorting.column"
                                [activeDirection]="sorting.direction" (sort)="sort($event)"></app-sort-icon>
                        </th>
                        <th class="cursor-pointer">STATUS
                            <app-sort-icon column="IsActive" [activeColumn]="sorting.column"
                                [activeDirection]="sorting.direction" (sort)="sort($event)"></app-sort-icon>
                        </th>
                        <th class="text-end rounded-end min-w-150px skrm-text-padding-right-15px">ACTIONS</th>
                    </tr>
                </thead>
                <tbody>

                    <tr *ngFor="let item of getCountryListService.items$ | async">
                        <td>
                            <div class="d-flex align-items-center">

                                <div class="d-flex justify-content-start flex-column">
                                    <a (click)="edit(item.id)" class="text-dark text-hover-primary mb-1 fs-6 cursor-pointer"> {{item.name}}
                                    </a>
                                    
                                    <span class="text-success fw-bold d-block fs-7" *ngIf="item.isReviewed"> Reviewed
                                        <i class="bi bi-check-circle-fill text-success"></i>
                                    </span>
                                    <span class="text-danger fw-bold d-block fs-7" *ngIf="!item.isReviewed"> Reviewe Pending
                                        <i class="bi bi-dash-circle-fill text-danger"></i>
                                    </span>
                                </div>
                            </div>
                        </td>
                        <td>
                            <span class="text-dark d-block mb-1 fs-6"> {{item.isoCode}}</span>
                        </td>
                        <td>
                            <span class="text-dark d-block mb-1 fs-6"> {{item.isdCode}} </span>
                        </td>
                        <td>
                            <span class="text-dark d-block mb-1 fs-6"> {{item.createdByName || 'Super Admin'}}</span>
                        </td>
                        <td>
                            <span class="text-dark d-block mb-1 fs-6"> {{datePipe.transform(item.createdDate,"dd/MM/yyyy hh:mm a")}}</span>
                        </td>
                        <td>
                            <span class="badge badge-light-success fs-7 fw-bold" *ngIf="item.isActive">Active</span>
                            <span class="badge badge-light-danger fs-7 fw-bold" *ngIf="!item.isActive">Deactive</span>

                        </td>
                        <td class="text-end">
                            <button type="button" (click)="statusConfirmation(item.id, item.isActive)" title="Click here for active/deactive" class="btn btn-icon btn-bg-light btn-active-color-primary btn-sm me-1">
                                
                                <span class="svg-icon svg-icon-3 text-danger" *ngIf="!item.isActive">
                                    <i class="bi bi-lock-fill text-danger"></i>
                                </span>
                                <span class="svg-icon svg-icon-3 text-success" *ngIf="item.isActive">
                                    <i class="bi bi-unlock-fill text-success"></i>
                                </span>
                                
                                <!--container-->
                            </button>
                            <button type="button" (click)="reviewConfirmation(item.id)" *ngIf="!item.isReviewed && item.isActive" title="Click here for reviewed" class="btn btn-icon btn-bg-light btn-active-color-primary btn-sm me-1">
                                
                                <span class="svg-icon svg-icon-3 text-primary">
                                    <i class="bi bi-check-circle-fill text-primary"></i>
                                </span>
                                 
                            </button>
                            <button  *ngIf="item.isActive" type="button" (click)="edit(item.id)" title="Click here for edit" class="btn btn-icon btn-bg-light btn-active-color-dark btn-sm me-1">
                                
                                <span class="svg-icon svg-icon-3 text-dark">
                                    <i class="bi bi-pencil-fill"></i>
                                </span>
                                <!--container-->
                            </button>
                            <button type="button" (click)="deleteConfirmation(item.id)" title="Click here for delete" class="btn btn-icon btn-bg-light btn-active-color-danger btn-sm">
                                <span class="svg-icon svg-icon-3 text-danger">
                                    <i class="bi bi-trash-fill text-danger"></i>
                                </span>
                                <!--container-->
                            </button>
                        </td>
                    </tr>
                    <tr *ngIf="totalRecordCount <= 0">
                        <span class="text-danger d-block mb-1 fs-6">No Record Found</span>
                        
                    </tr>
                    
                </tbody>
            </table>
            <div *ngIf="totalRecordCount > pageSize"
                class="d-flex justify-content-between align-items-center flex-wrap">
               
                <div class="d-flex flex-wrap py-2 mr-3">
                    

                    <!-- begin: pageSize -->
                    <!-- <select class="form-control form-control-sm font-weight-bold mr-4 border-0 bg-light false"
                        style="width: 75px" [(ngModel)]="paginator.pageSize" (change)="sizeChange()">
                        <option class="btn" *ngFor="let ps of pageSizes">
                            {{ ps }}
                        </option>
                    </select> -->
                    
                    <span class="react-bootstrap-table-pagin ation-total">&nbsp;Showing rows {{ ((pageIndex -1) * pageSize) + 1
                        }} to&nbsp;{{
                           (pageIndex * pageSize) > totalRecordCount ? totalRecordCount : (pageIndex * pageSize)
                        }}
                        of&nbsp;{{ totalRecordCount }}</span>
                    <!-- end: pageSize -->

                    <!-- begin: loading -->
                     <div class="d-flex justify-content-center skrm-margin-left-15px skrm-align-item-center" *ngIf="isLoading">
                        <!-- <div class="mr-2 text-muted">Loading...</div>
                        <div class="spinner spinner-primary mr-10"></div> -->
                        <div class="spinner-border spinner-border-sm" role="status">
                            <span class="visually-hidden">Loading...</span>
                          </div>
                          <div class="spinner-grow spinner-grow-sm" role="status">
                            <span class="visually-hidden">Loading...</span>
                          </div>
                    </div>  
                    
                    <!-- end: loading -->
                </div>
                <div class="d-flex align-items-center py-3">
                    <ngb-pagination [(collectionSize)]="totalRecordCount" [(page)]="pageIndex" [(maxSize)]="pageSize"
                        [rotate]="true" [ellipses]="false" [boundaryLinks]="true" (pageChange)="onPageChanged($event)">
                    </ngb-pagination>
                </div>
                <!-- end: Paginator -->

            </div>


        </div>

    </div>

</div>
 